;n_cacon.t1.be
;avance-version (15/05/11)
;3D sequence with
;   15N detected correlation for triple resonance using
;      inept transfer steps
;
;      F3(H) -> F2(Ca,t1) -> F2(C=O,t2) -> F1(N,t3)
;
;on/off resonance Ca and C=O pulses using shaped pulse
;phase sensitive (t1)
;phase sensitive (t2)
;using constant time in t1
;using constant time in t2
;(use parameterset )
;
;(M. Gal, K. A. Edmonds, A. G. Milbradt, K. Takeuchi & G. Wagner,
;   J Biomol NMR 51, 497-504 (2011))
;(S. Grzesiek & A. Bax, J. Biomol. NMR 3, 185-204 (1993))
;(D.R. Muhandiram & L.E. Kay, J. Magn. Reson. B 103, 203-216 (1994))
;
;$CLASS=HighRes
;$DIM=3D
;$TYPE=
;$SUBTYPE=
;$COMMENT=


prosol relations=<triple>


#include<Avance.incl>
#include<Grad.incl>
#include<Delay.incl>


"p2=p1*2"
"p22=p21*2"
"d11=30m"
"d12=20u"

"d3=1.1m-larger(p14,p22)"
"d4=1.7m"
"d22=4.5m"
"d23=12.4m"
"d27=14.3m"


"d0=3u"
"d10=d22"
"d20=d27-p14-4u"
"d30=d23"

"in0=inf1/2"
"in10=inf2/2"

"in20=in0"
"in30=in10"

"td1=tdmax(td1,d20*2,in20)"
"td2=tdmax(td2,d30*2,in30)"


"DELTA1=d3-d0-p2"
"DELTA2=d22-d3-p22"
"DELTA3=d27-d22-p14"
"DELTA4=d23-d22+4u"
"DELTA5=d23/2-p14/2"
"DELTA6=d23/2-p14/2-4u+p1*2/PI-de"


"spoff2=0"
"spoff3=0"
"spoff5=bf3*((cnst21-cnst22)/1000000)"
"spoff7=bf3*((cnst22-cnst21)/1000000)"
"spoff8=0"


"cnst24=cnst21/2+cnst22/2"


"acqt0=0"
baseopt_echo


aqseq 321


1 ze
  d11 pl16:f3 pl12:f2 pl17:f4
  d11 LOCKDEC_ON
  50u LOCKH_ON
  d11 H2_PULSE
  d11 pl17:f4

2 d11 do:f2 do:f3 do:f4
3 d11 H2_LOCK
  6m LOCKH_OFF
  d1 
  50u LOCKH_ON
  d12 H2_PULSE
  d11 fq=cnst22(bf ppm):f3
  d12 pl1:f1 pl2:f2 pl0:f3
  d12 UNBLKGRAMP 


  (p21 ph1):f2
  d4
  (center (p22 ph1):f2 (p14:sp3 ph1):f3 )
  d4
  (p21 ph2):f2

  (p13:sp2 ph3):f3
  d0
  (p2 ph1):f1
  DELTA1
  (p22 ph10):f2
  DELTA2 pl12:f2
  (p14:sp5 ph1):f3
  DELTA3
  (p14:sp3 ph1):f3
  d20
  (p14:sp5 ph1):f3
  4u
  (p13:sp8 ph1):f3

  p16:gp1
  d16 fq=cnst21(bf ppm):f3
  20u cpd2:f2 ph1

  (p13:sp2 ph4):f3
  d10
  (p14:sp7 ph1):f3
  DELTA4
  (center (p14:sp3 ph1):f3 (p2 ph1):f1 )
  d30
  (p14:sp7 ph1):f3
  4u
  (p13:sp8 ph1):f3

  4u do:f2
  p16:gp2
  d16
  20u cpd4:f4

  (p1 ph5):f1
  DELTA5 BLKGRAMP
  (p14:sp7 ph1):f3
  DELTA5
  (center (p14:sp3 ph1):f3 (p2 ph8):f1 )
  DELTA5
  (p14:sp7 ph1):f3
  DELTA6 fq=cnst24(bf ppm):f3
  4u pl16:f3
  go=2 ph31 cpd3:f3
  d11 do:f2 do:f3 do:f4 mc #0 to 2 
     F1PH(calph(ph3, +90), caldel(d0, +in0) & caldel(d20, -in20)) 
     F2PH(calph(ph4, +90), caldel(d10, +in10) & caldel(d30, -in30))

  d11 H2_LOCK
  d11 LOCKH_OFF
  d11 LOCKDEC_OFF


exit


ph1=0
ph2=1
ph3=0 2
ph4=0 0 0 0 0 0 0 0 2 2 2 2 2 2 2 2
ph5=0 0 2 2
ph6=2
ph7=3
ph8=0 0 0 0 2 2 2 2
ph9=2
ph10=0 0 2 2
ph31=0 2 2 0 0 2 2 0 2 0 0 2 2 0 0 2


;pl1 : f1 channel - power level for pulse (default)
;pl3 : f3 channel - power level for pulse (default)
;pl12: f2 channel - power level for CPD/BB decoupling
;pl16: f3 channel - power level for CPD/BB decoupling
;sp2: f2 channel - shaped pulse  90 degree  (on resonance)
;sp3: f2 channel - shaped pulse 180 degree  (on resonance)
;sp5: f2 channel - shaped pulse 180 degree  (C=O off resonance)
;sp7: f2 channel - shaped pulse 180 degree  (Ca off resonance)
;sp8: f2 channel - shaped pulse  90 degree  (on resonance)
;                  for time reversed pulse
;p1 : f1 channel -  90 degree high power pulse
;p2 : f1 channel - 180 degree high power pulse
;p13: f2 channel -  90 degree shaped pulse
;p14: f2 channel - 180 degree shaped pulse
;p16: homospoil/gradient pulse                         [1 msec]
;p21: f3 channel -  90 degree high power pulse
;p22: f3 channel - 180 degree high power pulse
;d0 : incremented delay (F1 in 3D)                     [3 usec]
;d1 : relaxation delay; 1-5 * T1
;d3 : tau b : (2.2m-p14*2)/2
;d4 : 1/(4J(CH)) = tau a                               [1.7 msec]
;d10: incremented delay (F2 in 3D) = d22
;d11: delay for disk I/O                               [30 msec]
;d12: delay for power switching                        [20 usec]
;d16: delay for homospoil/gradient recovery
;d20: decremented delay (F1 in 3D) = d22+d0-p14-4u
;d22: 1/(4J(CaCO)                                      [4.5 msec]
;d23: 1/(4J(CON))                                      [12.4 msec]
;d30: decremented delay (F2 in 3D) = d23
;cnst21: CO chemical shift (offset, in ppm)
;cnst22: Calpha chemical shift (offset, in ppm)
;cnst23: Caliphatic chemical shift (offset, in ppm)
;cnst24: center of Calpha and CO chemical shift (offset, in ppm)
;o2p: Caliphatic chemical shift (cnst23)
;inf1: 1/SW(Cali) = 2 * DW(Cali)
;inf2: 1/SW(CO) = 2 * DW(CO)
;in0: 1/(2 * SW(Cali)) =  DW(Cali)
;nd0: 2
;in10: 1/(2 * SW(CO)) = DW(CO)
;nd10: 2
;in20: = in0
;in30: = in10
;ns: 4 * n
;ds: >= 32
;td1: number of experiments in F1       td1 max = 2 * d20 / in20
;td2: number of experiments in F2       td2 max = 2 * d30 / in30
;FnMODE: States-TPPI (or TPPI) in F1
;FnMODE: States-TPPI (or TPPI) in F2
;cpd2: decoupling according to sequence defined by cpdprg2
;cpd3: decoupling according to sequence defined by cpdprg3
;pcpd2: f1 channel - 90 degree pulse for decoupling sequence
;pcpd3: f3 channel - 90 degree pulse for decoupling sequence


;for z-only gradients:
;gpz1: 50%
;gpz2: 40%

;use gradient files:   
;gpnam1: SMSQ10.100
;gpnam2: SMSQ10.100



;$Id: $
